
# Interface: IOptionSelectorConfig

Pim selector list config example.
```
{
  "widgets": [
    {
      "name": "pim-option-selector",
      "type": "pim-option-selector",
      "params": {
        "options": "{{$['pim-ajax'].output.options}}",
        "name": "color",
        "type": "checkbox",
        "subType": "compact",
        "forceSelection": true,
        "onChange": "{{ #function console.warn($['pim-option-selector']._); }}",
      }
    }
  ]
}
```

## Hierarchy

* **IOptionSelectorConfig**

## Index

### Properties

* [applyEmptyValues](ioptionselectorconfig.md#optional-applyemptyvalues)
* [emptyValuesText](ioptionselectorconfig.md#optional-emptyvaluestext)
* [initWithEmptyValue](ioptionselectorconfig.md#optional-initwithemptyvalue)
* [name](ioptionselectorconfig.md#name)
* [onChange](ioptionselectorconfig.md#optional-onchange)
* [options](ioptionselectorconfig.md#options)
* [placeholderText](ioptionselectorconfig.md#optional-placeholdertext)
* [subType](ioptionselectorconfig.md#subtype)
* [type](ioptionselectorconfig.md#type)

## Properties

### `Optional` applyEmptyValues

• **applyEmptyValues**? : *boolean*

___

### `Optional` emptyValuesText

• **emptyValuesText**? : *string*

___

### `Optional` initWithEmptyValue

• **initWithEmptyValue**? : *boolean*

___

###  name

• **name**: *string*

___

### `Optional` onChange

• **onChange**? : *Function | Function[]*

A single function or an array of functions that will be executed when the option value is changed.

___

###  options

• **options**: *[ProductInformationOption](../classes/productinformationoption.md)[]*

___

### `Optional` placeholderText

• **placeholderText**? : *string*

___

###  subType

• **subType**: *string*

___

###  type

• **type**: *string*
